### Function

# GObject BaseInitFunc

since: 2.0

#### Declaration

    void
    (* GBaseInitFunc) (
      GObjectTypeClass* g_class
    )

#### Description

A callback function used by the type system to do base initialization of the class structures of derived types.

This function is called as part of the initialization process of all derived classes and should reallocate or reset all dynamic class members copied over from the parent class.

For example, class members (such as strings) that are not sufficiently handled by a plain memory copy of the parent class into the derived class have to be altered. See GClassInitFunc() for a discussion of the class initialization process.

Available since: 2.0

#### Parameters

`g_class`

  Type: `GTypeClass`

  The `GTypeClass` structure to initialize.

  The data is owned by the caller of the function.